package com.weaver.seconddev.jcl.organization.service.impl;

import com.weaver.seconddev.jcl.organization.controller.EmployeeRelationController;
import com.weaver.seconddev.jcl.organization.service.EmployeeRelationService;
import com.weaver.seconddev.jcl.organization.util.DatabaseUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

public class EmployeeRelationServiceImpl implements EmployeeRelationService {

    private static final Logger log = LoggerFactory.getLogger(EmployeeRelationController.class);

    @Autowired
    private DatabaseUtils databaseUtils;


    @Override
    public List<Map<String, Object>> queryLeaderPdByYear(String yearMonth) {
        String sql="select a.khny,b.* from uf_gbkhpd a left join  uf_gbkhpd_mxb1 b on a.id = b.form_data_id where a.khny =  '" + yearMonth + "'  and a.IS_DELETE = 0  and a.delete_type = 0 and a.TENANT_KEY = 'tscemvfpqg' " ;
        log.error("queryLeaderPdByYear.sql:{}",sql);
        Map<String, Object> rs = databaseUtils.execute("LOGIC", "weaver-ebuilder-form-service", sql);
        List<Map<String, Object>> recordList = databaseUtils.getDataSourceList(rs);
        log.error("queryLeaderPdByYear.recordList:{}",recordList);
        return recordList;
    }

    @Override
    public void updateLeaderDaInfo(Map<String, Object> map) {
        String khny = String.valueOf(map.get("khny"));
        String xm = String.valueOf(map.get("xm"));
        String df = String.valueOf(map.get("df"));
        String dj = String.valueOf(map.get("dj"));
        log.error("updateLeaderDaInfo.map:{}",map);
        String sql="update uf_jcl_gbkhba set ndzhjxkhdf = '" + df + "',ndzhjxkhdj ='" + dj + "'  where nd = '" + khny.substring(0, 4) + "' and bkhr = '" + xm + "' ";
        log.error("updateLeaderDaInfo.sql:{}",sql);
        Map<String, Object> rs = databaseUtils.execute("LOGIC", "weaver-ebuilder-form-service", sql);
        log.error("updateEmployeeDjInfo.rs:{}",rs);
    }
}
